Bug 439373 - Namazu rpm dependency problem
Namazu rpm dependency problem
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: namazu (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
: Reopened
Depends On: 439178
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 07:40 EDT by Akira TAGOH
Modified: 2008-04-09 01:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.0.18-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 01:12:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2008-03-28 07:40:07 EDT
+++ This bug was initially created as a clone of Bug #439178 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja; rv:1.8.1.13) Gecko/20080325
Fedora/2.0.0.13-1.fc8 Firefox/2.0.0.13

Description of problem:
When I update by "yum update", display an error message.

[root@houyhnhnms ~]# yum install namazu
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
 * livna: ftp-stud.fht-esslingen.de
 * fedora: ftp.dti.ad.jp
 * updates: ftp.dti.ad.jp
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package namazu.i386 0:2.0.18-1.fc8 set to be updated
--> Processing Dependency: perl(time.pl) for package: namazu
--> Processing Dependency: perl-File-MMagic >= 1.12 for package: namazu
--> Processing Dependency: perl-Text-Kakasi >= 1.00 for package: namazu
--> Processing Dependency: perl(conf.pl) for package: namazu
--> Processing Dependency: perl(util.pl) for package: namazu
--> Processing Dependency: perl(File::MMagic) for package: namazu
--> Processing Dependency: perl(var.pl) for package: namazu
--> Processing Dependency: perl(nmzidx.pl) for package: namazu
--> Processing Dependency: perl(document.pl) for package: namazu
--> Processing Dependency: kakasi >= 2.3.0 for package: namazu
--> Running transaction check
---> Package perl-Text-Kakasi.i386 0:2.04-6.fc8 set to be updated
---> Package namazu.i386 0:2.0.18-1.fc8 set to be updated
--> Processing Dependency: perl(time.pl) for package: namazu
--> Processing Dependency: perl(conf.pl) for package: namazu
--> Processing Dependency: perl(util.pl) for package: namazu
--> Processing Dependency: perl(var.pl) for package: namazu
--> Processing Dependency: perl(nmzidx.pl) for package: namazu
--> Processing Dependency: perl(document.pl) for package: namazu
---> Package perl-File-MMagic.noarch 0:1.27-3.fc8 set to be updated
---> Package kakasi.i386 0:2.3.4-24.fc8 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: perl(time.pl) is needed by package namazu
Error: Missing Dependency: perl(util.pl) is needed by package namazu
Error: Missing Dependency: perl(document.pl) is needed by package namazu
Error: Missing Dependency: perl(nmzidx.pl) is needed by package namazu
Error: Missing Dependency: perl(var.pl) is needed by package namazu
Error: Missing Dependency: perl(conf.pl) is needed by package namazu


Version-Release number of selected component (if applicable):
namazu.i386 0:2.0.18-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. type "yum update"


Actual Results:
can't update namazu

Expected Results:
successfully resolve the dependency, then update namazu

Additional info:

-- Additional comment from raina@luggnagg.net on 2008-03-27 09:50 EST --
Sorry, I pasted wrong message.
following message is correct.

[root@www ~]# yum update
Loading "downloadonly" plugin
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
 * fedora: ftp.kddilabs.jp
 * updates: ftp.kddilabs.jp
Excluding Packages in global exclude list
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package namazu.i386 0:2.0.18-1.fc8 set to be updated
--> Processing Dependency: perl(time.pl) for package: namazu
--> Processing Dependency: perl(conf.pl) for package: namazu
--> Processing Dependency: perl(util.pl) for package: namazu
--> Processing Dependency: perl(var.pl) for package: namazu
--> Processing Dependency: perl(nmzidx.pl) for package: namazu
--> Processing Dependency: perl(document.pl) for package: namazu
---> Package namazu-cgi.i386 0:2.0.18-1.fc8 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: perl(time.pl) is needed by package namazu
Error: Missing Dependency: perl(util.pl) is needed by package namazu
Error: Missing Dependency: perl(document.pl) is needed by package namazu
Error: Missing Dependency: perl(nmzidx.pl) is needed by package namazu
Error: Missing Dependency: perl(var.pl) is needed by package namazu
Error: Missing Dependency: perl(conf.pl) is needed by package namazu


-- Additional comment from kanarip@kanarip.com on 2008-03-27 19:26 EST --
Seconded, I'm experiencing this too.
Comment 1 Akira TAGOH 2008-03-28 07:42:35 EDT
Fixed in 2.0.18-2.fc7.
Comment 2 Fedora Update System 2008-03-28 08:01:35 EDT
namazu-2.0.18-2.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-04-01 17:32:11 EDT
namazu-2.0.18-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Dmitry Butskoy 2008-04-02 07:33:31 EDT
Under Fedora 7, I still cannot do "yum update".

"yum update" output:

--> Package namazu.i386 0:2.0.18-2.fc7 set to be updated
--> Processing Dependency: perl(filter.pl) for package: namazu
--> Processing Dependency: perl(entity) for package: namazu
--> Processing Dependency: perl(alloca) for package: namazu
--> Processing Dependency: perl(ooo.pl) for package: namazu
--> Processing Dependency: perl(mailnews.pl) for package: namazu
--> Processing Dependency: perl(zip.pl) for package: namazu
--> Processing Dependency: perl(codeconv.pl) for package: namazu
--> Processing Dependency: perl(html.pl) for package: namazu
--> Processing Dependency: perl(gfilter.pl) for package: namazu
--> Processing Dependency: perl(gettext.pl) for package: namazu
--> Processing Dependency: perl(dist-hook) for package: namazu
--> Finished Dependency Resolution
Error: Missing Dependency: perl(entity) is needed by package namazu
Error: Missing Dependency: perl(html.pl) is needed by package namazu
Error: Missing Dependency: perl(zip.pl) is needed by package namazu
Error: Missing Dependency: perl(gfilter.pl) is needed by package namazu
Error: Missing Dependency: perl(dist-hook) is needed by package namazu
Error: Missing Dependency: perl(gettext.pl) is needed by package namazu
Error: Missing Dependency: perl(ooo.pl) is needed by package namazu
Error: Missing Dependency: perl(codeconv.pl) is needed by package namazu
Error: Missing Dependency: perl(mailnews.pl) is needed by package namazu
Error: Missing Dependency: perl(alloca) is needed by package namazu
Error: Missing Dependency: perl(filter.pl) is needed by package namazu


Perhaps all the perl(xxx) dependencies are not provided under the (old) Fedora 7 ?
Comment 5 Akira TAGOH 2008-04-03 09:32:43 EDT
This is because perl.req is broken. the old package used to use find-requires
instead. so reverting the change, sigh.
Comment 6 Fedora Update System 2008-04-03 09:57:21 EDT
namazu-2.0.18-3.fc7 has been submitted as an update for Fedora 7
Comment 8 Akira TAGOH 2008-04-06 22:08:06 EDT
*** Bug 441061 has been marked as a duplicate of this bug. ***
Comment 9 Fedora Update System 2008-04-09 01:12:06 EDT
namazu-2.0.18-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.